Package Details: j7 7.01b-15

Git Clone URL: https://aur.archlinux.org/j7.git (read-only)
Package Base: j7
Description: J is a modern, high-level, general-purpose, high-performance programming language
Upstream URL: http://www.jsoftware.com
Licenses: GPL3
Submitter: tomeil
Maintainer: None
Last Packager: greenbagels
Votes: 13
Popularity: 0.005645
First Submitted: 2011-06-08 20:16
Last Updated: 2015-11-07 23:49

Latest Comments

tomeil commented on 2013-07-21 22:54

Updated, thanks

lestb commented on 2013-07-21 01:53

PKGBUILD for pacman 4.1 compatibility

https://gist.github.com/mijikai/6045411

I also remove the rc script.

tomeil commented on 2012-10-15 19:59

Updated for systemd compatibilty (jhsd.service)

tomeil commented on 2012-09-24 20:20

Regarding other errors using the plot verb:
graphics/plot is an addon, which requires also other addons to work (i.e. graphics/color, graphics/bmp, etc.).
Unfortunately J has not a dependencies management for its addons...
Please, read language documentation at http://www.jsoftware.com/jwiki/ and http://www.jsoftware.com/help/index.htm

tomeil commented on 2012-09-24 20:08

PKGBUILD has been updated to correct compile error of libj.so
thanks to chneukirchen

timthelion commented on 2012-09-22 18:23

Thank you guys for all the help! Unfortutately I stil haven't gotten there yet. Now I have a grey window and:

plot 5 10 23 45 8
callback run error: configure_event_5_
|value error: RGBSEQ_j_
| gtkrgb=: BGR`RGB@.RGBSEQ_j_ y

|out of memory: makegridpos
| px=.off+step* i.cnt
callback run error: focus_in_event_5_
|value error: evthandler
| evthandler wdqdata

callback run error: expose_event_5_
|value error: evthandler
| evthandler wdqdata
........

tomeil commented on 2012-09-22 11:08

Regarding the error message after

load 'plot'

it's normal: graphics/plot is an addon, and addons are not included in the base J package.
You have to install them in your J home by means of the J package manager.
For that, there is a GUI under jgtk and jhs, or you can install addons from jconsole; example:

'install' jpkg 'graphics/plot'

Regarding the missed libj.so, i'll check/update the PKGBUILD asap

timthelion commented on 2012-09-21 21:04

Seems like we've lost more than just that file:

load 'plot'
not found: /home/timothy/j/addons/graphics/plot/plot.ijs
|file name errplot 5 10 23 45 8or: script
| 0!:0 y[4!:55<'y'

[timothy@timothy c]$ ls /usr/lib/j7/addons/
config gui ide
[timothy@timothy c]$ ls ~/j/addons/
config gui ide
[timothy@timothy c]$

the graphics dir simply isn't there.

chneukirchen commented on 2012-09-20 21:57

No idea what upstream smoked, but this fixes it (add to PKGBUILD):

sed -i 's@-W1,soname,libj.so@-Wl,-soname,libj.so@' bin/jconfig

timthelion commented on 2012-09-20 14:12

It seems this package is missing a file:

$ j7
usage: /usr/bin/j7 {-c|--console|-g|--gtk|-s|--jhs|-b|--break} [jargs]
$ j7 -c
Load library /usr/lib/j7/bin/libj.so failed.[timothy@timothy
$ ls /usr/lib/j7/bin/
icons jconsole profilex.ijs
installer.txt profile.ijs profilex_template.ijs
$ j7 --console
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 -g
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 --gtk
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 -s
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 --jhs
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 -b
Load library /usr/lib/j7/bin/libj.so failed.
$ j7 --break
Load library /usr/lib/j7/bin/libj.so failed.
$

All comments